Bug 1123105 - binary deployment to JBossEWS application can result in dangling symlinks under jboss/conf/
Summary: binary deployment to JBossEWS application can result in dangling symlinks und...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Maciej Szulik
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1118275
TreeView+ depends on / blocked
 
Reported: 2014-07-24 21:26 UTC by Miciah Dashiel Butler Masters
Modified: 2015-05-15 00:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1118275
Environment:
Last Closed: 2014-10-10 00:49:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1061392 None None None Never

Internal Links: 1061392

Comment 2 Maciej Szulik 2014-07-28 14:03:35 UTC
Fixed in https://github.com/openshift/origin-server/pull/5665

Comment 3 openshift-github-bot 2014-07-28 21:04:48 UTC
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/b387a4d029774437249bc8237553974e6f96d680
Bug 1123105 - Fixed binary jbossews binary deployment, currently when no config files are specified inside archive, then template's one are taken as the default

https://github.com/openshift/origin-server/commit/76b3e766758e76867203e2290573eea776231735
Merge pull request #5665 from soltysh/bug1123105

Merged by openshift-bot

Comment 4 Meng Bo 2014-07-29 07:06:35 UTC
Checked on devenv_5020, 

After binary deploy, the links under jbossews/conf point to /var/lib/openshift/53d7445227a2197dd9000156/jbossews//template/.openshift/config/*

And also covered the migration testing, old app will get fixed also.

Move bug to verified.


Note You need to log in before you can comment on or make changes to this bug.